igeo.io

## Class IRhino3dm.BrepTrim

- java.lang.Object
- - igeo.io.IRhino3dm.RhinoObject
  - - igeo.io.IRhino3dm.Geometry
    - - igeo.io.IRhino3dm.Curve
      - - igeo.io.IRhino3dm.CurveProxy
        - - igeo.io.IRhino3dm.BrepTrim

- Enclosing class:
    IRhino3dm

      public static class IRhino3dm.BrepTrim
      extends IRhino3dm.CurveProxy

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IRhino3dm.BrepTrim.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IRhino3dm.Brep` | `brep`
    `int` | `curve2Index`
    `int` | `edgeIndex`
    `static int` | `force32BitTrimType`
    `IRhino3dm.Surface.ISO` | `iso`
    `double` | `legacy2dTol`
    `double` | `legacy3dTol`
    `int` | `loopIndex`
    `boolean` | `rev3d`
    `double[]` | `tolerance`
    `int` | `trimIndex`
    `IRhino3dm.BrepTrim.Type` | `type`
    `static java.lang.String` | `uuid`
    `int[]` | `vertexIndex`

    - ### Fields inherited from class igeo.io.IRhino3dm.CurveProxy

      `realCurve, realCurveDomain, reversed, thisDomain`

    - ### Fields inherited from class igeo.io.IRhino3dm.Curve

      `icurve`

    - ### Fields inherited from class igeo.io.IRhino3dm.RhinoObject

      `attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData, userDataList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrepTrim()`
    `BrepTrim(int tidx, int c2idx, int eidx, int vidx1, int vidx2, int lidx, IRhino3dm.Interval proxyDomain, IRhino3dm.Interval domain, IRhino3dm.Brep brep, ITrimCurve trimCurve)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IRhino3dm.UUID` | `getClassUUID()`
    `static int` | `getInt(IRhino3dm.BrepTrim.Type type)`
    `IRhino3dm.Surface.ISO` | `getISOType(ITrimCurve trimCurve)`
    `boolean` | `isStraightOnX(ITrimCurve trimCurve)`
    `boolean` | `isStraightOnY(ITrimCurve trimCurve)`
    `void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
    `static IRhino3dm.BrepTrim.Type` | `readType(int i)`
    `boolean` | `reverse()`
    `java.lang.String` | `toString()`
    `void` | `write(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, java.util.zip.CRC32 crc)`

    - ### Methods inherited from class igeo.io.IRhino3dm.CurveProxy

      `domain, isValid, proxyCurveDomain, proxyCurveIsReversed, realCurveParameter, setDomain, setProxyCurve, setProxyCurveDomain`

    - ### Methods inherited from class igeo.io.IRhino3dm.Curve

      `createIGeometry, createIObject, createTrimCurve, getType`

    - ### Methods inherited from class igeo.io.IRhino3dm.RhinoObject

      `read, setAttributes, setAttributesToIObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### uuid

          public static final java.lang.String uuid

      See Also:
        Constant Field Values

    - #### force32BitTrimType

          public static final int force32BitTrimType

      See Also:
        Constant Field Values

    - #### trimIndex

          public int trimIndex

    - #### curve2Index

          public int curve2Index

    - #### edgeIndex

          public int edgeIndex

    - #### vertexIndex

          public int[] vertexIndex

    - #### rev3d

          public boolean rev3d

    - #### type

          public IRhino3dm.BrepTrim.Type type

    - #### iso

          public IRhino3dm.Surface.ISO iso

    - #### loopIndex

          public int loopIndex

    - #### tolerance

          public double[] tolerance

    - #### legacy2dTol

          public double legacy2dTol

    - #### legacy3dTol

          public double legacy3dTol

    - #### brep

          public IRhino3dm.Brep brep

  - ### Constructor Detail

    - #### BrepTrim

          public BrepTrim()

    - #### BrepTrim

          public BrepTrim(int tidx,
                          int c2idx,
                          int eidx,
                          int vidx1,
                          int vidx2,
                          int lidx,
                          IRhino3dm.Interval proxyDomain,
                          IRhino3dm.Interval domain,
                          IRhino3dm.Brep brep,
                          ITrimCurve trimCurve)

  - ### Method Detail

    - #### getClassUUID

          public IRhino3dm.UUID getClassUUID()

      Overrides:
        `getClassUUID` in class `IRhino3dm.CurveProxy`

    - #### getISOType

          public IRhino3dm.Surface.ISO getISOType(ITrimCurve trimCurve)

    - #### isStraightOnX

          public boolean isStraightOnX(ITrimCurve trimCurve)

    - #### isStraightOnY

          public boolean isStraightOnY(ITrimCurve trimCurve)

    - #### readType

          public static IRhino3dm.BrepTrim.Type readType(int i)

    - #### getInt

          public static int getInt(IRhino3dm.BrepTrim.Type type)

    - #### reverse

          public boolean reverse()

      Overrides:
        `reverse` in class `IRhino3dm.CurveProxy`

    - #### read

          public void read(IRhino3dm.Rhino3dmFile context,
                           java.io.InputStream is)
                    throws java.io.IOException

      Overrides:
        `read` in class `IRhino3dm.RhinoObject`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(IRhino3dm.Rhino3dmFile context,
                            java.io.OutputStream os,
                            java.util.zip.CRC32 crc)
                     throws java.io.IOException

      Overrides:
        `write` in class `IRhino3dm.RhinoObject`
      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`